CVE-2005-4546
CVSS7.8
发布时间 :2005-12-28 06:03:00
修订时间 :2017-07-19 21:29:17
NMCO    

[原文]search.php in eggblog 2.0 allows remote attackers to obtain the full path via an invalid q parameter, as used by the Keyword and Search fields, possibly due to an SQL injection vulnerability.


[CNNVD]Epic Designs Eggblog Search.PHP SQL注入漏洞(CNNVD-200512-598)

        eggblog 2.0中的search.php使得远程攻击者可以通过无效的用于Keyword和Search字段的q参数获取完整路径,可能是因为一个SQL注入漏洞引致。

- CVSS (基础分值)

CVSS分值: 7.8 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4546
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4546
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-598
(官方数据源) CNNVD

- 其它链接及资源

http://pridels0.blogspot.com/2005/12/eggblog-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2005/12/eggblog-vuln.html
http://www.securityfocus.com/bid/16056
(UNKNOWN)  BID  16056
http://www.vupen.com/english/advisories/2005/3072
(UNKNOWN)  VUPEN  ADV-2005-3072
https://exchange.xforce.ibmcloud.com/vulnerabilities/23857
(UNKNOWN)  XF  eggblog-search-path-disclosure(23857)

- 漏洞信息

Epic Designs Eggblog Search.PHP SQL注入漏洞
高危 SQL注入
2005-12-28 00:00:00 2005-12-28 00:00:00
远程  
        eggblog 2.0中的search.php使得远程攻击者可以通过无效的用于Keyword和Search字段的q参数获取完整路径,可能是因为一个SQL注入漏洞引致。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/eggblog/eggblog_3.00b.zip

- 漏洞信息

21909
eggblog search.php q Variable Path Disclosure
Remote / Network Access Input Manipulation
Loss of Confidentiality
Exploit Unknown

- 漏洞描述

eggblog contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when a remote attacker supplies an invalid 'q' variable in search.php script, which will disclose the software's installation path resulting in a loss of confidentiality. While such information is relatively low risk, it is often useful in carrying out additional, more focused attacks.

- 时间线

2005-12-22 Unknow
Unknow Unknow

- 解决方案

Upgrade to version v3.0b or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站